factory.hpp File Reference

The design pattern of the factory. More...

`#include <claw/exception.hpp>`
`#include <map>`
`#include <claw/impl/factory.tpp>`

Go to the source code of this file.

## Classes

class | claw::pattern::bad_type_identifier
| Exception thrown when an incorrect identifier is given to a type. More...
class | claw::pattern::factory< BaseClass, IdentifierType >
| The design pattern of the factory allow to dynamically instanciate classes of various types given an identifier of this type. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::pattern
| Here are the design patterns.

## Detailed Description

The design pattern of the factory.

Author
  Julien Jorge

Definition in file factory.hpp.